/****************************************************************************************/
/*  StPath.H                                                                          */
/*                                                                                      */
/*  Author: Alejandro F. Reimondo	                                                    */
/*  Description: Visual Smalltalk extesions to standard API.	                        */
/*                                                                                      */
/****************************************************************************************/
#ifndef StPath_H
#define StPath_H 

#include "Path.h"

#ifdef __cplusplus
extern "C" {
#endif

GENESISAPI void GENESISCC stPath_SampleChannels(
	const gePath *P, 
	geFloat Time, 
	geQuaternion *Rotation, 
	geVec3d *Translation);

/* missing API
GENESISAPI geBoolean GENESISCC stPath_OffsetTimes(gePath *P, 
	int StartingIndex, int ChannelMask, geFloat TimeOffset );
*/


#ifdef __cplusplus
}
#endif

#endif
					